# Retrieve a list of contributions for a specified employer **GET /employers/{employer_id}/contributions** Retrieve a list of contributions for a specified employer. ## Servers - https://payroll-api.getpenfold.dev/v4: https://payroll-api.getpenfold.dev/v4 () ## Authentication methods - O auth2 client credentials ## Parameters ### Path parameters - **employer_id** (string) ### Query parameters - **page_size** (integer) The maximum number of contributions to return per page. - **page_number** (integer) The page number to return in the list of contributions. - **sort_by** (string) Sort Contributions by date - **sort_order** (string) Sort order (ascending or descending) ## Responses ### 200 A paginated list of contributions for the specified employer. #### Body: application/json (object) - **page_number** (integer) The current page number. - **page_size** (integer) The number of items per page. - **total_items** (integer) The total number of items available. - **items** (array[object]) An array of Contribution objects on the current page. ### 400 Bad request, the request is malformed or contains invalid data. #### Body: application/json (object) - **error** (string) A descriptive error message. ### 401 Unauthorized, the request requires authentication, and the provided credentials are either missing or incorrect. #### Body: application/json (object) - **error** (string) A descriptive error message. ### 404 Employer not found, the specified employer_id does not match any existing employer. #### Body: application/json (object) - **error** (string) A descriptive error message. [Powered by Bump.sh](https://bump.sh)